## cl-plus-ssl 20140822

=== debian/changelog ===
cl-plus-ssl (20140822-1) unstable; urgency=medium

  * Fix debian/copyright mentions of wrong upstream

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 26 Aug 2014 13:26:26 +0400

cl-plus-ssl (20140713-2) unstable; urgency=medium

  * Fix licence, which is MIT and no longer LGPL

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 22 Aug 2014 17:22:31 +0400

cl-plus-ssl (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 04 Aug 2014 19:50:12 +0400

## cl-plus-ssl 20170630

=== Makefile ===
.PHONY: clean
clean:
	rm -f *.fasl *.x86f *.fas *.ufsl *.lib *.pfsl

## cl-plus-ssl 20140826

=== debian/changelog ===
cl-plus-ssl (20140826-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 15 Sep 2014 01:03:11 +0400

=== debian/control ===
Source: cl-plus-ssl
Section: lisp
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.5
Homepage: http://common-lisp.net/project/cl-plus-ssl/
Vcs-Git: https://github.com/cl-plus-ssl/cl-plus-ssl.git
Vcs-Browser: https://github.com/cl-plus-ssl/cl-plus-ssl

Package: cl-plus-ssl
Architecture: all
Depends: ${misc:Depends}, cl-cffi, cl-trivial-gray-streams, cl-flexi-streams, cl-bordeaux-threads, cl-trivial-garbage, libssl1.0.0
Description: Common Lisp interface to OpenSSL
 CL+SSL is portable code based on CFFI and gray streams. It defines its own
 libssl BIO method, so that SSL I/O can be written over portable Lisp
 streams instead of bypassing the streams and sending data over Unix file
 descriptors directly. (But the traditional approach is still used if
 possible.)

## cl-plus-ssl 20150302

=== debian/changelog ===
cl-plus-ssl (20150302-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 02 May 2015 17:00:51 +0300

## cl-plus-ssl 20150505

=== debian/changelog ===
cl-plus-ssl (20150505-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 May 2015 20:33:06 +0300

## cl-plus-ssl 20150608

=== debian/changelog ===
cl-plus-ssl (20150608-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:44:16 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://github.com/cl-plus-ssl/cl-plus-ssl.git
 Vcs-Browser: https://github.com/cl-plus-ssl/cl-plus-ssl

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl+ssl
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

%:
	dh $@ --with lisp

override_dh_install:
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

override_dh_installdocs:
	dh_installdocs index.html index.css

## cl-plus-ssl 20151218

=== debian/changelog ===
cl-plus-ssl (20151218-2) unstable; urgency=medium

  * Source files are now found in src/, bugfix

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 17 Jan 2016 22:17:46 +0300

cl-plus-ssl (20151218-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 17 Jan 2016 19:31:19 +0300

cl-plus-ssl (20150608-3) UNRELEASED; urgency=medium

  * Build-depend on libssl-dev and extract the libssl package name at
    build-time instead of hardcoding it.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Jan 2016 16:30:25 +0100

cl-plus-ssl (20150608-2) unstable; urgency=medium

  * Switch to depend on libssl1.0.2, (Closes: Bug#804324)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 16 Nov 2015 00:20:57 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: dh-lisp
+Build-Depends-Indep: dh-lisp, libssl-dev
 Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://github.com/cl-plus-ssl/cl-plus-ssl.git
@@ -11,7 +11,7 @@
 
 Package: cl-plus-ssl
 Architecture: all
-Depends: ${misc:Depends}, cl-cffi, cl-trivial-gray-streams, cl-flexi-streams, cl-bordeaux-threads, cl-trivial-garbage, libssl1.0.0
+Depends: ${misc:Depends}, cl-cffi, cl-trivial-gray-streams, cl-flexi-streams, cl-bordeaux-threads, cl-trivial-garbage, ${ssl:Depends}
 Description: Common Lisp interface to OpenSSL
  CL+SSL is portable code based on CFFI and gray streams. It defines its own
  libssl BIO method, so that SSL I/O can be written over portable Lisp

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl+ssl
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

LIBSSL		:= $(shell dpkg-query --showformat='$${Depends}' --show libssl-dev | grep -o 'libssl[^ ]*')

%:
	dh $@ --with lisp

override_dh_install:
	dh_install $(pkg).asd $(clc-files)
	dh_install src/ $(clc-files)

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

override_dh_installdocs:
	dh_installdocs index.html index.css

override_dh_gencontrol:
	echo "ssl:Depends=$(LIBSSL)" >> debian/cl-plus-ssl.substvars
	dh_gencontrol

## cl-plus-ssl 20160318

=== debian/changelog ===
cl-plus-ssl (20160318-1~pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-cl-plus-ssl-source-
    distribution=jessie-4, Debian unstable source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 15 May 2016 10:49:28 +0200

cl-plus-ssl (20160318-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Apr 2016 21:49:08 +0300

## cl-plus-ssl 20160421

=== debian/changelog ===
cl-plus-ssl (20160421-2) unstable; urgency=medium

  * Team upload.
  * libssl1.0.2 removed SSLv3_client_method, use the more sensible SSLv23_*
    family instead. (Closes: #864363)
  * Package does not support libssl1.1 (see src/reload.lisp), switch to
    libssl1.0-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 07 Jun 2017 17:20:35 +0200

cl-plus-ssl (20160421-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Aug 2016 21:55:13 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: dh-lisp, libssl-dev
+Build-Depends-Indep: dh-lisp, libssl1.0-dev | libssl-dev (<< 1.1)
 Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://github.com/cl-plus-ssl/cl-plus-ssl.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 clc-systems	:= usr/share/common-lisp/systems
 clc-files	:= $(clc-source)/$(pkg)
 
-LIBSSL		:= $(shell dpkg-query --showformat='$${Depends}' --show libssl-dev | grep -o 'libssl[^ ]*')
+LIBSSL		:= $(shell dpkg-query --showformat='$${Depends}' --show libssl-dev libssl1.0-dev | grep -o 'libssl[^ ]*')
 
 %:
 	dh $@ --with lisp

## cl-plus-ssl 20170630

=== debian/changelog ===
cl-plus-ssl (20170630-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:21:07 +0000

cl-plus-ssl (20170630-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:28:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cl-plus-ssl
 Section: lisp
 Priority: optional
-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: dh-lisp, libssl1.0-dev | libssl-dev (<< 1.1)
+Build-Depends-Indep: dh-lisp, libssl-dev
 Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://github.com/cl-plus-ssl/cl-plus-ssl.git

## cl-plus-ssl 20180328

=== debian/changelog ===
cl-plus-ssl (20180328-3) unstable; urgency=medium

  * openssl-1.1.patch: fix issue with SSL_CTX_set_tmp_rsa_callback

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Jun 2018 13:18:30 +0200

cl-plus-ssl (20180328-2) unstable; urgency=medium

  * Move maintenance to Debian Common Lisp Team.
    Thanks to Dimitri Fontaine for his work.
  * Update Vcs-* fields for move to salsa
  * Use secure URL for Homepage
  * Bump to debhelper compat level 11
  * Remove B-D on dh-lisp
  * Simplify d/rules
  * Ship README.md and todo.txt
  * Add missing Depends on cl-alexandria and cl-trivial-features
  * Remove unused lintian overrides
  * Various fixes to d/copyright
  * Bump S-V to 4.1.4
  * Add watch file
  * Register manual to doc-base
  * Ship the testsuite
    + add cl-fiveam and cl-usocket to Recommends
    + no-coreralls.patch: remove useless ASDF-dependency on cl-coveralls
  * openssl-1.1.patch: new patch, various compatibility fixes with OpenSSL 1.1
    (Closes: #882615)
  * add an autopkgtest that runs the testsuite on sbcl, ecl and clisp.
    ecl-failing-tests.patch: new patch, disables tests that use the
      network on ECL, probably due to a problem in cl-usocket.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Jun 2018 16:26:56 +0200

cl-plus-ssl (20180328-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 16 May 2018 09:47:13 +0000

=== debian/control ===
Source: cl-plus-ssl
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11~), libssl-dev
Standards-Version: 4.1.4
Homepage: https://common-lisp.net/project/cl-plus-ssl/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-plus-ssl.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-plus-ssl

Package: cl-plus-ssl
Architecture: all
Depends: ${misc:Depends},
         cl-cffi,
         cl-trivial-gray-streams,
         cl-flexi-streams,
         cl-bordeaux-threads,
         cl-trivial-garbage,
         cl-alexandria,
         cl-trivial-features,
         ${ssl:Depends}
Recommends: cl-fiveam,
            cl-usocket
Description: Common Lisp interface to OpenSSL
 CL+SSL is portable code based on CFFI and gray streams. It defines its own
 libssl BIO method, so that SSL I/O can be written over portable Lisp
 streams instead of bypassing the streams and sending data over Unix file
 descriptors directly. (But the traditional approach is still used if
 possible.)

=== debian/rules ===
#!/usr/bin/make -f

LIBSSL := $(shell dpkg-query --showformat='$${Depends}' --show libssl-dev | grep -o 'libssl[^ ]*')

%:
	dh $@

override_dh_gencontrol:
	echo "ssl:Depends=$(LIBSSL)" >> debian/cl-plus-ssl.substvars
	dh_gencontrol

## cl-plus-ssl 20180918.gitb81c113

=== debian/changelog ===
cl-plus-ssl (20180918.gitb81c113-1) unstable; urgency=medium

  * New upstream snapshot
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.2.1
  
 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Oct 2018 23:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 11~), libssl-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-plus-ssl.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-plus-ssl
+Rules-Requires-Root: no
 
 Package: cl-plus-ssl
 Architecture: all

## cl-plus-ssl 20190204.gitab6fc5d

=== debian/changelog ===
cl-plus-ssl (20190204.gitab6fc5d-1~pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 06 Feb 2019 14:50:30 +0100

cl-plus-ssl (20190204.gitab6fc5d-1) unstable; urgency=medium

  * New upstream snapshot
  * openssl-1.1.patch: drop patch, no longer needed
  * Bump to debhelper compat level 12
  * Bump S-V to 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Feb 2019 14:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11~), libssl-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10),
+               libssl-dev
+Standards-Version: 4.3.0
 Homepage: https://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-plus-ssl.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-plus-ssl

## cl-plus-ssl 20191020.git2908199

=== debian/changelog ===
cl-plus-ssl (20191020.git2908199-1) unstable; urgency=medium

  * New upstream snapshot
  * debian/rules: simplify using debhelper 12.8’s execute_before_* rules
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Feb 2020 17:29:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
+               debhelper (>= 12.8~),
                libssl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://common-lisp.net/project/cl-plus-ssl/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-plus-ssl.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-plus-ssl

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-fiveam, cl-usocket
Restrictions: allow-stderr

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-fiveam, cl-usocket
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-fiveam, cl-usocket
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://github.com/cl-plus-ssl/cl-plus-ssl/ \
HEAD debian uupdate

## cl-plus-ssl 20200609.gitff4634a

=== debian/changelog ===
cl-plus-ssl (20200609.gitff4634a-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 15:23:51 +0100

cl-plus-ssl (20200609.gitff4634a-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream snapshot
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * Add lintian-overrides for national-encoding in HTML documentation

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 04 Dec 2020 11:41:07 +0100

## cl-plus-ssl 20220328.git8b91648

=== debian/changelog ===
cl-plus-ssl (20220328.git8b91648-7) unstable; urgency=medium

  * Team upload.
  * Disable failing ALPN test. (Closes: #1108853)
  * Mark ecl autopkgtest as flaky while #1096562 is open.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Sep 2025 16:03:23 +0000

cl-plus-ssl (20220328.git8b91648-6) unstable; urgency=medium

  * Add myself to Uploaders.
  * Disable autopkgtests with clisp.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Sep 2024 12:14:25 +0100

cl-plus-ssl (20220328.git8b91648-5) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Christoph Berg ]
  * Rebuild to pick up new libssl3t64 package name. (Closes: #1066067)

 -- Christoph Berg <myon@debian.org>  Thu, 21 Mar 2024 15:52:45 +0000

cl-plus-ssl (20220328.git8b91648-4) unstable; urgency=medium

  * Team upload.
  * No change upload for arch:all rebuild (Closes: #1010999).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 May 2022 16:37:23 -0700

cl-plus-ssl (20220328.git8b91648-3) unstable; urgency=medium

  * Team upload.
  * d/p/openssl3.patch: Improve support for OpenSSL 3.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 01 Apr 2022 15:14:25 -0300

cl-plus-ssl (20220328.git8b91648-2) unstable; urgency=medium

  * Team upload.
  * Disable clisp autopkgtest on ppc64el, not reliable there.
    (Same change as in cl-asdf.)

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2022 11:19:02 +0200

cl-plus-ssl (20220328.git8b91648-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 20220328.git8b91648 with OpenSSL 3 support.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Mar 2022 17:06:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,5 @@
 %:
 	dh $@
 
-override_dh_gencontrol:
+execute_before_dh_gencontrol:
 	echo "ssl:Depends=$(LIBSSL)" >> debian/cl-plus-ssl.substvars
-	dh_gencontrol

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-fiveam, cl-usocket
Restrictions: allow-stderr
Features: test-name=sbcl

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-fiveam, cl-usocket
Restrictions: allow-stderr, flaky
Features: test-name=ecl

# Recent bordeaux-threads doesn't support our builds of clisp.
# Test-Command: clisp -norc debian/tests/runtests.lisp
# Depends: @, clisp, cl-fiveam, cl-usocket
# Restrictions: allow-stderr
# Architecture: !ppc64el
